Password Protect Generating Errors

Everytime I activate Password Protect on my wordpress installation I get the following

Deprecated: Assigning the return value of new by reference is deprecated in /nfs/c09/h02/mnt/131745/domains/alphawest.org/html/wp-content/plugins/protect-selected-content/protect-selected-content.php on line 210

Furthermore, even when I install it I get the following error:
The plugin generated 247 characters of unexpected output during activation. If you notice “headers already sent” messages, problems with syndication feeds or other issues, try deactivating or removing this plugin.

This occurs with Twenty Twelve and Twenty Thirteen when I activate them as well.